Bug 719610 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-07-07 09:14 EDT by Jóhann B. Guðmundsson
Modified: 2014-11-09 17:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-19 07:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for /etc/sysconfig/quagga (759 bytes, patch)
2011-07-07 09:16 EDT, Jóhann B. Guðmundsson
no flags Details | Diff
Native systemd service file bgpd (232 bytes, text/plain)
2011-07-07 09:16 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file ospf6d (229 bytes, text/plain)
2011-07-07 09:17 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file ospfd (222 bytes, text/plain)
2011-07-07 09:18 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file ripd (216 bytes, text/plain)
2011-07-07 09:18 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file ripngd (228 bytes, text/plain)
2011-07-07 09:19 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file watchquagga (233 bytes, text/plain)
2011-07-07 09:19 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file zebra (268 bytes, text/plain)
2011-07-07 09:21 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-07-07 09:14:49 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-07-07 09:16:14 EDT
Created attachment 511693 [details]
patch for /etc/sysconfig/quagga
Comment 2 Jóhann B. Guðmundsson 2011-07-07 09:16:51 EDT
Created attachment 511694 [details]
Native systemd service file bgpd
Comment 3 Jóhann B. Guðmundsson 2011-07-07 09:17:16 EDT
Created attachment 511695 [details]
Native systemd service file ospf6d
Comment 4 Jóhann B. Guðmundsson 2011-07-07 09:18:17 EDT
Created attachment 511697 [details]
Native systemd service file ospfd
Comment 5 Jóhann B. Guðmundsson 2011-07-07 09:18:41 EDT
Created attachment 511699 [details]
Native systemd service file ripd
Comment 6 Jóhann B. Guðmundsson 2011-07-07 09:19:18 EDT
Created attachment 511701 [details]
Native systemd service file ripngd
Comment 7 Jóhann B. Guðmundsson 2011-07-07 09:19:58 EDT
Created attachment 511703 [details]
Native systemd service file watchquagga
Comment 8 Jóhann B. Guðmundsson 2011-07-07 09:21:16 EDT
Created attachment 511704 [details]
Native systemd service file zebra

All of those service files were tested with their .conf example and all of them started and stopped cleanly

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d

Note You need to log in before you can comment on or make changes to this bug.